SummarizeIndicatorsDetails

class oci.threat_intelligence.models.SummarizeIndicatorsDetails(**kwargs)

Bases: object

Query parameters to filter indicators

Attributes:

INDICATOR_TYPE_DOMAIN_NAME

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails.

INDICATOR_TYPE_FILE_NAME

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails.

INDICATOR_TYPE_IP_ADDRESS

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails.

INDICATOR_TYPE_MD5_HASH

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails.

INDICATOR_TYPE_SHA1_HASH

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails.

INDICATOR_TYPE_SHA256_HASH

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails.

INDICATOR_TYPE_URL

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails.

SORT_BY_CONFIDENCE

A constant which can be used with the sort_by property of a SummarizeIndicatorsDetails.

SORT_BY_TIMECREATED

A constant which can be used with the sort_by property of a SummarizeIndicatorsDetails.

SORT_BY_TIMELASTSEEN

A constant which can be used with the sort_by property of a SummarizeIndicatorsDetails.

SORT_BY_TIMEUPDATED

A constant which can be used with the sort_by property of a SummarizeIndicatorsDetails.

SORT_ORDER_ASC

A constant which can be used with the sort_order property of a SummarizeIndicatorsDetails.

SORT_ORDER_DESC

A constant which can be used with the sort_order property of a SummarizeIndicatorsDetails.

confidence_greater_than_or_equal_to

Gets the confidence_greater_than_or_equal_to of this SummarizeIndicatorsDetails.

indicator_seen_by

Gets the indicator_seen_by of this SummarizeIndicatorsDetails.

indicator_type

Gets the indicator_type of this SummarizeIndicatorsDetails.

indicator_value

Gets the indicator_value of this SummarizeIndicatorsDetails.

malware

Gets the malware of this SummarizeIndicatorsDetails.

sort_by

Gets the sort_by of this SummarizeIndicatorsDetails.

sort_order

Gets the sort_order of this SummarizeIndicatorsDetails.

threat_actor

Gets the threat_actor of this SummarizeIndicatorsDetails.

threat_types

Gets the threat_types of this SummarizeIndicatorsDetails.

time_created_greater_than_or_equal_to

Gets the time_created_greater_than_or_equal_to of this SummarizeIndicatorsDetails.

time_created_less_than

Gets the time_created_less_than of this SummarizeIndicatorsDetails.

time_last_seen_greater_than_or_equal_to

Gets the time_last_seen_greater_than_or_equal_to of this SummarizeIndicatorsDetails.

time_last_seen_less_than

Gets the time_last_seen_less_than of this SummarizeIndicatorsDetails.

time_updated_greater_than_or_equal_to

Gets the time_updated_greater_than_or_equal_to of this SummarizeIndicatorsDetails.

time_updated_less_than

Gets the time_updated_less_than of this SummarizeIndicatorsDetails.

Methods:

__init__(**kwargs)

Initializes a new SummarizeIndicatorsDetails object with values from keyword arguments.

INDICATOR_TYPE_DOMAIN_NAME = 'DOMAIN_NAME'

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails. This constant has a value of “DOMAIN_NAME”

INDICATOR_TYPE_FILE_NAME = 'FILE_NAME'

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails. This constant has a value of “FILE_NAME”

INDICATOR_TYPE_IP_ADDRESS = 'IP_ADDRESS'

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails. This constant has a value of “IP_ADDRESS”

INDICATOR_TYPE_MD5_HASH = 'MD5_HASH'

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails. This constant has a value of “MD5_HASH”

INDICATOR_TYPE_SHA1_HASH = 'SHA1_HASH'

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails. This constant has a value of “SHA1_HASH”

INDICATOR_TYPE_SHA256_HASH = 'SHA256_HASH'

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails. This constant has a value of “SHA256_HASH”

INDICATOR_TYPE_URL = 'URL'

A constant which can be used with the indicator_type property of a SummarizeIndicatorsDetails. This constant has a value of “URL”

SORT_BY_CONFIDENCE = 'CONFIDENCE'

A constant which can be used with the sort_by property of a SummarizeIndicatorsDetails. This constant has a value of “CONFIDENCE”

SORT_BY_TIMECREATED = 'TIMECREATED'

A constant which can be used with the sort_by property of a SummarizeIndicatorsDetails. This constant has a value of “TIMECREATED”

SORT_BY_TIMELASTSEEN = 'TIMELASTSEEN'

A constant which can be used with the sort_by property of a SummarizeIndicatorsDetails. This constant has a value of “TIMELASTSEEN”

SORT_BY_TIMEUPDATED = 'TIMEUPDATED'

A constant which can be used with the sort_by property of a SummarizeIndicatorsDetails. This constant has a value of “TIMEUPDATED”

SORT_ORDER_ASC = 'ASC'

A constant which can be used with the sort_order property of a SummarizeIndicatorsDetails. This constant has a value of “ASC”

SORT_ORDER_DESC = 'DESC'

A constant which can be used with the sort_order property of a SummarizeIndicatorsDetails. This constant has a value of “DESC”

__init__(**kwargs)

Initializes a new SummarizeIndicatorsDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • indicator_type (str) – The value to assign to the indicator_type property of this SummarizeIndicatorsDetails. Allowed values for this property are: “DOMAIN_NAME”, “FILE_NAME”, “MD5_HASH”, “SHA1_HASH”, “SHA256_HASH”, “IP_ADDRESS”, “URL”

  • indicator_value (str) – The value to assign to the indicator_value property of this SummarizeIndicatorsDetails.

  • threat_types (list[str]) – The value to assign to the threat_types property of this SummarizeIndicatorsDetails.

  • confidence_greater_than_or_equal_to (int) – The value to assign to the confidence_greater_than_or_equal_to property of this SummarizeIndicatorsDetails.

  • time_updated_greater_than_or_equal_to (datetime) – The value to assign to the time_updated_greater_than_or_equal_to property of this SummarizeIndicatorsDetails.

  • time_updated_less_than (datetime) – The value to assign to the time_updated_less_than property of this SummarizeIndicatorsDetails.

  • time_last_seen_greater_than_or_equal_to (datetime) – The value to assign to the time_last_seen_greater_than_or_equal_to property of this SummarizeIndicatorsDetails.

  • time_last_seen_less_than (datetime) – The value to assign to the time_last_seen_less_than property of this SummarizeIndicatorsDetails.

  • time_created_greater_than_or_equal_to (datetime) – The value to assign to the time_created_greater_than_or_equal_to property of this SummarizeIndicatorsDetails.

  • time_created_less_than (datetime) – The value to assign to the time_created_less_than property of this SummarizeIndicatorsDetails.

  • indicator_seen_by (str) – The value to assign to the indicator_seen_by property of this SummarizeIndicatorsDetails.

  • malware (str) – The value to assign to the malware property of this SummarizeIndicatorsDetails.

  • threat_actor (str) – The value to assign to the threat_actor property of this SummarizeIndicatorsDetails.

  • sort_order (str) – The value to assign to the sort_order property of this SummarizeIndicatorsDetails. Allowed values for this property are: “ASC”, “DESC”

  • sort_by (str) – The value to assign to the sort_by property of this SummarizeIndicatorsDetails. Allowed values for this property are: “CONFIDENCE”, “TIMECREATED”, “TIMEUPDATED”, “TIMELASTSEEN”

property confidence_greater_than_or_equal_to

Gets the confidence_greater_than_or_equal_to of this SummarizeIndicatorsDetails. The minimum level of confidence to return

Returns

The confidence_greater_than_or_equal_to of this SummarizeIndicatorsDetails.

Return type

int

property indicator_seen_by

Gets the indicator_seen_by of this SummarizeIndicatorsDetails. Filter to include indicators that have been seen by the provided source.

Returns

The indicator_seen_by of this SummarizeIndicatorsDetails.

Return type

str

property indicator_type

Gets the indicator_type of this SummarizeIndicatorsDetails. The type of indicator this is

Allowed values for this property are: “DOMAIN_NAME”, “FILE_NAME”, “MD5_HASH”, “SHA1_HASH”, “SHA256_HASH”, “IP_ADDRESS”, “URL”

Returns

The indicator_type of this SummarizeIndicatorsDetails.

Return type

str

property indicator_value

Gets the indicator_value of this SummarizeIndicatorsDetails. The value for the type of indicator this is

Returns

The indicator_value of this SummarizeIndicatorsDetails.

Return type

str

property malware

Gets the malware of this SummarizeIndicatorsDetails. Filter to include indicators associated with the provided malware.

Returns

The malware of this SummarizeIndicatorsDetails.

Return type

str

property sort_by

Gets the sort_by of this SummarizeIndicatorsDetails. The field to sort by. Only one field to sort by may be provided

Allowed values for this property are: “CONFIDENCE”, “TIMECREATED”, “TIMEUPDATED”, “TIMELASTSEEN”

Returns

The sort_by of this SummarizeIndicatorsDetails.

Return type

str

property sort_order

Gets the sort_order of this SummarizeIndicatorsDetails. The sort order to use, either ‘ASC’ or ‘DESC’.

Allowed values for this property are: “ASC”, “DESC”

Returns

The sort_order of this SummarizeIndicatorsDetails.

Return type

str

property threat_actor

Gets the threat_actor of this SummarizeIndicatorsDetails. Filter to included indicators associated with the provided threat actor.

Returns

The threat_actor of this SummarizeIndicatorsDetails.

Return type

str

property threat_types

Gets the threat_types of this SummarizeIndicatorsDetails. The threat type of entites to be returned.

Returns

The threat_types of this SummarizeIndicatorsDetails.

Return type

list[str]

property time_created_greater_than_or_equal_to

Gets the time_created_greater_than_or_equal_to of this SummarizeIndicatorsDetails. The oldest creation time of entities to be returned.

Returns

The time_created_greater_than_or_equal_to of this SummarizeIndicatorsDetails.

Return type

datetime

property time_created_less_than

Gets the time_created_less_than of this SummarizeIndicatorsDetails. The newest creation time of entities to be returned.

Returns

The time_created_less_than of this SummarizeIndicatorsDetails.

Return type

datetime

property time_last_seen_greater_than_or_equal_to

Gets the time_last_seen_greater_than_or_equal_to of this SummarizeIndicatorsDetails. The oldest last seen time of entities to be returned.

Returns

The time_last_seen_greater_than_or_equal_to of this SummarizeIndicatorsDetails.

Return type

datetime

property time_last_seen_less_than

Gets the time_last_seen_less_than of this SummarizeIndicatorsDetails. The newest last seen time of entities to be returned.

Returns

The time_last_seen_less_than of this SummarizeIndicatorsDetails.

Return type

datetime

property time_updated_greater_than_or_equal_to

Gets the time_updated_greater_than_or_equal_to of this SummarizeIndicatorsDetails. The oldest update time of entities to be returned.

Returns

The time_updated_greater_than_or_equal_to of this SummarizeIndicatorsDetails.

Return type

datetime

property time_updated_less_than

Gets the time_updated_less_than of this SummarizeIndicatorsDetails. The newest update time of entities to be returned.

Returns

The time_updated_less_than of this SummarizeIndicatorsDetails.

Return type

datetime